L'installazione di VLC ha danneggiato il sistema. Come posso procedere?

11 contenuti / 0 new
Ultimo contenuto
Ritratto di liukvar
Offline
Last seen: 13 anni 1 settimana fa
Iscritto: 19/04/2011 - 09:42
L'installazione di VLC ha danneggiato il sistema. Come posso procedere?

Ho provato ad installare VLC sulla mia macchina. Purtroppo invece di utilizzare synaptic ho utilizzato il comando "apt get".
Credo erroneamente di aver eseguito:
# apt-get update
# apt-get install vlc
Dico erroneamente perche sul sito di videoLan ho trovato questi comandi:
# apt-get update
# apt-get install vlc libdvdcss2
Mi ritrovo ora con il sistema danneggiato, nel senso che non parte più kde (ho provato ad eseguire startx da riga di comando ma viene fuori un finestrella che riporta un errore).
Come mi consigliate di procedere? E' possibile ripristinare in qualche modo il sistema operativo senza reinstallarlo?

Ritratto di zafran
Offline
Last seen: 1 anno 1 settimana fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Sicuramente si, proviamo.

Ma se ci dicevi qual è l'errore della finestrella era meglio...

Intanto prova a fare un aggiornamento completo.
Da linea di comando dai
# apt-get update
# apt-get dist-upgrade
e se ti dà qualche errore prova a postarlo.

Se ti riparte kde verifichi che ci sia vlc e installi libdvdcss2
# apt-get install libdvdcss2

Occhio che nell'aggiornamento da kde4.5 a kde4.6 si perdono le impostazioni personali.
Quindi se ti eri fatto un desktop complicato e script vari all'avvio ti merita backuppare il più possibile di ~/.kde, ~/Scrivania e ~/Desktop e poi andare per tentativi per recuperare le impostazioni.

Se non ti riparte kde, la cosa si fa antipatica; puoi comunque provare a capire qual è il problema guardando nei log dell'avvio ma forse è meglio riparlarne.

Ritratto di liukvar
Offline
Last seen: 13 anni 1 settimana fa
Iscritto: 19/04/2011 - 09:42

apt-get non funziona più. Abbiamo anche provato a controllare i log senza però ruiscire a capirci molto. In questo momento sto lavorando con un liveCD. Durante l'installazione è apparso un dialog con una richiesta di conferna della quale però non ricordo il contenuto. Mi sembrava strano che VLC non partisse e ho quindi riavviato la macchina. Al riavvio mi sono ritrovato "senza" kde. Finisco i backup e ti riferisco dell'errore che appare dopo lo "startx".
Ti ringrazio davvero molto per l'aiuto.

Ritratto di zafran
Offline
Last seen: 1 anno 1 settimana fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Apt deve funzionare, ovvero deve almeno dirti qualcosa di sensato.

Allora
1- con cat guarda che repository stai usando:
# cat /etc/apt/sources.list
la riga non commentata (quella senza il segno # all'inizio) indica il repo che stai usando.
Questo perché alcuni repository davano problemi dopo il trasferimento del server qualche mese fa.

2- lancia apt e annota cosa dice. Tipo che vuole un install -f

Ritratto di fildoc
Offline
Last seen: 11 anni 2 mesi fa
Iscritto: 31/12/2007 - 16:57

Zafran sarà un caso ma mi è successa la stessa cosa... Mezzora fa e proprio installando vlc. Noto che l'applicazione in questione non parte, riavvio, ed ecco il problema. La finestrella (almeno nel mio caso) riporta la seguente riga:
"kstartupconfig4 does not exist or fails. The error code is 127"
Premo ok, mi riporta alla linea di comando. Provo quindi da root a dare un apt-get update, ma mi risponde con il seguente errore:
"apt-get: symbol lookup error: /usr/lib/libstdc++.so.6: undefined symbol"
al quale segue una sequenza di lettere e cifre che si conclude con "version GLIBCXX_3.4".
A questo punto le mie conoscenze si fermano ed entro nel campo dell'ignoto...

Ritratto di patel
Offline
Last seen: 7 anni 10 mesi fa
Moderatore
Iscritto: 03/11/2007 - 07:31

ma tu l'hai installato con synaptic o con apt ?

Ritratto di fildoc
Offline
Last seen: 11 anni 2 mesi fa
Iscritto: 31/12/2007 - 16:57

Con synaptic...

Ritratto di zafran
Offline
Last seen: 1 anno 1 settimana fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Se vi fate un giro in giro trovate che in parecchi in questo periodo riportano codesto problema in diverse distribuzioni.

Il consiglio che si dà è sempre quello che ho già dato anch'io qui sopra e cioè di non dare mai il solo upgrade ma lanciare il comando per intero:
# apt-get update && apt-get dist-upgrade

Ora, nel sistema che io ho qui davanti (e che è aggiornato e con vlc funzionante) sono installate libstdc5 e libstdc6 mentre con le varie glib si arriva alla 2.28.
Quindi se qualcuno (vlc) decide che vuole la 3.4 e apt non gli ha ancora detto di non dire sciocchezze mi sa che bisogna aspettare che il bug sia sanato.

Nel frattempo provare a disinstallare vlc?
# apt-get remove vlc
# apt-get update && apt-get dist-upgrade

Forse...

Ritratto di zafran
Offline
Last seen: 1 anno 1 settimana fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Ho aggiunto una pagina nella documentazione per il recupero del database di apt.
http://www.pclinuxos.it/node/970

Ritratto di patel
Offline
Last seen: 7 anni 10 mesi fa
Moderatore
Iscritto: 03/11/2007 - 07:31

ottima idea il book Tips & tricks

Ritratto di fildoc
Offline
Last seen: 11 anni 2 mesi fa
Iscritto: 31/12/2007 - 16:57

Problema parecchio discusso, è vero! Quindi il mio errore è stato quello di cercare vlc senza aggiornare prima il sistema... Ora che ho un pò di tempo provo il sistema che hai postato... Grazie!